<?xml version="1.0" encoding="UTF-8"?>
<xsd:schema xmlns="http://www.irs.gov/efile" xmlns:xsd="http://www.w3.org/2001/XMLSchema" targetNamespace="http://www.irs.gov/efile" elementFormDefault="qualified" attributeFormDefault="unqualified" version="1.0">

	<xsd:annotation>
		<xsd:documentation>
			<Description>IRS e-file Income Tax Schema - Other Non-Current US Assets Schedule</Description>
			<TaxYear>2018</TaxYear>
			<MaturityLevel>Final Release</MaturityLevel>
			<ReleaseDate>October 15, 2019</ReleaseDate>
		</xsd:documentation>
	</xsd:annotation>

	<xsd:include schemaLocation="../../../Common/efileTypes.xsd"/>


	<!-- =============================================================== -->
	<!-- ===========  Other Non-Current US Assets Schedule ============= -->
	<!-- =============================================================== -->


	<xsd:element name="OtherNonCurrentUSAssetsSch">
		<xsd:annotation>
			<xsd:documentation>Other Non-Current US Assets Schedule</xsd:documentation>
		</xsd:annotation>
		<xsd:complexType>
			<xsd:complexContent>
				<xsd:extension base="OtherNonCurrentUSAssetsSchType">
					<xsd:attributeGroup ref="DocumentAttributes">
						<xsd:annotation>
							<xsd:documentation>Common return document attributes</xsd:documentation>
						</xsd:annotation>
					</xsd:attributeGroup>
					<xsd:attribute name="documentName" type="xsd:string" fixed="OtherNonCurrentUSAssetsSchedule">
						<xsd:annotation>
							<xsd:documentation>IRS internal use only. To avoid error in the return, do not include the attribute name or value.</xsd:documentation>
						</xsd:annotation>
					</xsd:attribute>
				</xsd:extension>
			</xsd:complexContent>
		</xsd:complexType>
	</xsd:element>

	<xsd:complexType name="OtherNonCurrentUSAssetsSchType">
		<xsd:annotation>
			<xsd:documentation>Content model for other non-current US assets</xsd:documentation>
		</xsd:annotation>
		<xsd:sequence>
			<xsd:element name="OtherNonCurrentUSAssetsGrp" type="OtherNonCurrentUSAssetsGrpType" minOccurs="0" maxOccurs="unbounded"/>
		</xsd:sequence>
	</xsd:complexType>

	<xsd:complexType name="OtherNonCurrentUSAssetsGrpType">
		<xsd:annotation>
			<xsd:documentation>Content model for Other Non-Current US Assets</xsd:documentation>
		</xsd:annotation>

		<xsd:sequence>

			<!-- Corporation Name -->
			<xsd:element name="CorporationName" type="BusinessNameType" minOccurs="0">
				<xsd:annotation>
					<xsd:documentation>
						<Description>Corporation Name</Description>
					</xsd:documentation>
				</xsd:annotation>
			</xsd:element>

			<!-- Choice between Corporation EIN, or Missing EIN Reason -->
			<xsd:choice minOccurs="0">

				<!-- Corporation EIN -->
				<xsd:element name="CorporationEIN" type="EINType" minOccurs="0">
					<xsd:annotation>
						<xsd:documentation>
							<Description>Corporation EIN</Description>
						</xsd:documentation>
					</xsd:annotation>
				</xsd:element>

				<!-- Missing EIN Reason -->
				<xsd:element name="MissingEINReasonCd">
					<xsd:annotation>
						<xsd:documentation>
							<Description>Missing EIN reason</Description>
						</xsd:documentation>
					</xsd:annotation>
					<xsd:simpleType>
						<xsd:restriction base="StringType">
							<xsd:enumeration value="APPLD FOR"/>
						</xsd:restriction>
					</xsd:simpleType>
				</xsd:element>

			</xsd:choice>

			<!-- Other Non-Current US Assets Line Item Details -->
			<xsd:element name="OtherNonCurrUSAssetsLnItemGrp" type="OtherNonCurrUSAssetsLnItemGrpType" minOccurs="0" maxOccurs="unbounded">
				<xsd:annotation>
					<xsd:documentation>
						<Description>Other non-current US assets line item</Description>
					</xsd:documentation>
				</xsd:annotation>
			</xsd:element>

		</xsd:sequence>
	</xsd:complexType>

	<xsd:complexType name="OtherNonCurrUSAssetsLnItemGrpType">
		<xsd:annotation>
			<xsd:documentation>Content model for the line item of the other non-current US assets</xsd:documentation>
		</xsd:annotation>

		<xsd:sequence>

			<!-- Description -->
			<xsd:element name="Desc" type="LineExplanationType" minOccurs="0">
				<xsd:annotation>
					<xsd:documentation>
						<Description>Other non-current US assets description</Description>
					</xsd:documentation>
				</xsd:annotation>
			</xsd:element>

			<!-- Begining Amount -->
			<xsd:element name="BeginningAmt" type="USAmountType" minOccurs="0">
				<xsd:annotation>
					<xsd:documentation>
						<Description>Begining amount</Description>
					</xsd:documentation>
				</xsd:annotation>
			</xsd:element>

			<!-- Ending Amount -->
			<xsd:element name="EndingAmt" type="USAmountType" minOccurs="0">
				<xsd:annotation>
					<xsd:documentation>
						<Description>Ending amount</Description>
					</xsd:documentation>
				</xsd:annotation>
			</xsd:element>

		</xsd:sequence>
	</xsd:complexType>

</xsd:schema>
